gdcm::PhotometricInterpretation Class Reference

Class to represent an PhotometricInterpretation. More...

`#include <gdcmPhotometricInterpretation.h>`

## Public Types

enum | PIType { UNKNOWN = 0 , MONOCHROME1 , MONOCHROME2 , PALETTE_COLOR , RGB , HSV , ARGB , CMYK , YBR_FULL , YBR_FULL_422 , YBR_PARTIAL_422 , YBR_PARTIAL_420 , YBR_ICT , YBR_RCT , PI_END }

## Public Member Functions

| PhotometricInterpretation (PIType pi=UNKNOWN)
unsigned short | GetSamplesPerPixel () const
| return the value for Sample Per Pixel associated with a particular Photometric Interpretation
const char * | GetString () const
PIType | GetType () const
bool | IsLossless () const
bool | IsLossy () const
bool | IsSameColorSpace (PhotometricInterpretation const &pi) const
| operator PIType () const

## Static Public Member Functions

static const char * | GetPIString (PIType pi)
static PIType | GetPIType (const char *pi)
static bool | IsRetired (PIType pi)

## Friends

std::ostream & | operator<< (std::ostream &os, const PhotometricInterpretation &pi)

## Detailed Description

Class to represent an PhotometricInterpretation.

Examples
  CreateARGBImage.cxx, CreateCMYKImage.cxx, DecompressImage.cs, DecompressImageMultiframe.cs, DecompressJPEGFile.cs, ExtractImageRegion.cs, FileChangeTS.cs, FileChangeTSLossy.cs, HelloVizWorld.cxx, MpegVideoInfo.cs, csa2img.cxx, and iU22tomultisc.cxx.

## Member Enumeration Documentation

## PIType

enum gdcm::PhotometricInterpretation::PIType

Enumerator
UNKNOWN |
MONOCHROME1 |
MONOCHROME2 |
PALETTE_COLOR |
RGB |
HSV |
ARGB |
CMYK |
YBR_FULL |
YBR_FULL_422 |
YBR_PARTIAL_422 |
YBR_PARTIAL_420 |
YBR_ICT |
YBR_RCT |
PI_END |

Examples
  DecompressImageMultiframe.cs, DecompressJPEGFile.cs, FileChangeTS.cs, FileChangeTSLossy.cs, and MpegVideoInfo.cs.

## Constructor & Destructor Documentation

## PhotometricInterpretation()

gdcm::PhotometricInterpretation::PhotometricInterpretation | ( | PIType | pi = UNKNOWN | ) |

inline

References UNKNOWN.

Referenced by GetSamplesPerPixel(), IsSameColorSpace(), and operator<<.

## Member Function Documentation

## GetPIString()

const char * gdcm::PhotometricInterpretation::GetPIString | ( | PIType | pi | ) |

static

Referenced by operator<<.

## GetPIType()

PIType gdcm::PhotometricInterpretation::GetPIType | ( | const char * | pi | ) |

static

## GetSamplesPerPixel()

unsigned short gdcm::PhotometricInterpretation::GetSamplesPerPixel | ( |  | ) | const

return the value for Sample Per Pixel associated with a particular Photometric Interpretation

References PhotometricInterpretation(), and operator<<.

## GetString()

const char * gdcm::PhotometricInterpretation::GetString | ( |  | ) | const

## GetType()

PIType gdcm::PhotometricInterpretation::GetType | ( |  | ) | const

inline

## IsLossless()

bool gdcm::PhotometricInterpretation::IsLossless | ( |  | ) | const

## IsLossy()

bool gdcm::PhotometricInterpretation::IsLossy | ( |  | ) | const

## IsRetired()

bool gdcm::PhotometricInterpretation::IsRetired | ( | PIType | pi | ) |

static

## IsSameColorSpace()

bool gdcm::PhotometricInterpretation::IsSameColorSpace | ( | PhotometricInterpretation const & | pi | ) | const

References PhotometricInterpretation().

## operator PIType()

gdcm::PhotometricInterpretation::operator PIType | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PhotometricInterpretation & | pi )

friend

References PhotometricInterpretation(), and GetPIString().

Referenced by GetSamplesPerPixel().

The documentation for this class was generated from the following file:

- gdcmPhotometricInterpretation.h